﻿using System.Windows.Controls;
using Telerik.Windows.Controls;

namespace SilverlightApplication1
{
	public partial class SilverlightControl1 : UserControl
	{
		public SilverlightControl1()
		{
			InitializeComponent();
		}

		private void Default_Click(object sender, System.Windows.RoutedEventArgs e)
		{
			this.SetTheme(null);
		}

		private void Vista_Click(object sender, System.Windows.RoutedEventArgs e)
		{
			this.SetTheme(new VistaTheme());
		}

		private void Windows7_Click(object sender, System.Windows.RoutedEventArgs e)
		{
			this.SetTheme(new Windows7Theme());
		}

		private void SetTheme(Theme theme)
		{
			StyleManager.ApplicationTheme = theme;

			this.ParentOfType<MainPage>().ResetContent();
		}
	}
}